TaxonomyGridField (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util

## Enum TaxonomyGridField

- java.lang.Object
- - java.lang.Enum<TaxonomyGridField>
  - - org.gcube.portlets.user.speciesdiscovery.client.util.TaxonomyGridField

- All Implemented Interfaces:
    Serializable, Comparable<TaxonomyGridField>, GridField

      public enum TaxonomyGridField
      extends Enum<TaxonomyGridField>
      implements GridField

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHOR`
    `CITATION`
    `CLASSIFICATION_STRING`
    `COMMON_NAMES`
    `CREDITS`
    `DATASOURCE`
    `DATEMODIFIED`
    `LSID`
    `MATCHING_ACCORDING_TO`
    `MATCHING_AUTHOR`
    `MATCHING_RANK`
    `PRODUCTS`
    `PROPERTIES`
    `PROVENANCE`
    `ROW`
    `SCIENTIFIC_NAME`
    `SELECTION`
    `STATUS_REMARKS`
    `STATUSREFID`
    `STATUSREFNAME`
    `SYNONYMS`
    `TAXONOMY`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSortable()`
    `static TaxonomyGridField` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaxonomyGridField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATASOURCE

          public static final TaxonomyGridField DATASOURCE

    - #### SYNONYMS

          public static final TaxonomyGridField SYNONYMS

    - #### SCIENTIFIC_NAME

          public static final TaxonomyGridField SCIENTIFIC_NAME

    - #### CITATION

          public static final TaxonomyGridField CITATION

    - #### MATCHING_AUTHOR

          public static final TaxonomyGridField MATCHING_AUTHOR

    - #### AUTHOR

          public static final TaxonomyGridField AUTHOR

    - #### CREDITS

          public static final TaxonomyGridField CREDITS

    - #### LSID

          public static final TaxonomyGridField LSID

    - #### PROPERTIES

          public static final TaxonomyGridField PROPERTIES

    - #### MATCHING_RANK

          public static final TaxonomyGridField MATCHING_RANK

    - #### MATCHING_ACCORDING_TO

          public static final TaxonomyGridField MATCHING_ACCORDING_TO

    - #### STATUS_REMARKS

          public static final TaxonomyGridField STATUS_REMARKS

    - #### CLASSIFICATION_STRING

          public static final TaxonomyGridField CLASSIFICATION_STRING

    - #### COMMON_NAMES

          public static final TaxonomyGridField COMMON_NAMES

    - #### TAXONOMY

          public static final TaxonomyGridField TAXONOMY

    - #### PRODUCTS

          public static final TaxonomyGridField PRODUCTS

    - #### PROVENANCE

          public static final TaxonomyGridField PROVENANCE

    - #### SELECTION

          public static final TaxonomyGridField SELECTION

    - #### ROW

          public static final TaxonomyGridField ROW

    - #### STATUSREFNAME

          public static final TaxonomyGridField STATUSREFNAME

    - #### STATUSREFID

          public static final TaxonomyGridField STATUSREFID

    - #### DATEMODIFIED

          public static final TaxonomyGridField DATEMODIFIED

    - #### UNKNOWN

          public static final TaxonomyGridField UNKNOWN

  - ### Method Detail

    - #### values

          public static TaxonomyGridField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaxonomyGridField c : TaxonomyGridField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaxonomyGridField valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `GridField`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `GridField`

    - #### isSortable

          public boolean isSortable()

      Specified by:
        `isSortable` in interface `GridField`

Copyright © 2013. All Rights Reserved.